Bug 1294035 - gluster fails to propagate permissions on the root of a gluster export when adding bricks
Summary: gluster fails to propagate permissions on the root of a gluster export when a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Susant Kumar Palai
QA Contact: Prasad Desala
URL:
Whiteboard: dht-data-loss, triaged, dht-gss, dht-...
Depends On: 1082671
Blocks: 1286204 1351515 1351530 1368012 1374573
TreeView+ depends on / blocked
 
Reported: 2015-12-24 06:47 UTC by Susant Kumar Palai
Modified: 2018-12-04 18:04 UTC (History)
14 users (show)

Fixed In Version: glusterfs-3.8.4-2
Doc Type: Bug Fix
Doc Text:
When a new brick was added, Red Hat Gluster Storage did not propagate permissions on the root directory of a brick during a heal operation. This resulted in errors because of incorrect permissions. This has been corrected so that permissions are correctly propagated.
Clone Of: 1082671
: 1368012 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:25:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 2 Susant Kumar Palai 2015-12-24 06:47:59 UTC
Triage-update: Need to work on fix.

Comment 4 Atin Mukherjee 2016-08-18 09:03:05 UTC
Upstream patch http://review.gluster.org/#/c/15195/ posted for review.

Comment 5 Atin Mukherjee 2016-09-17 12:24:52 UTC
Upstream mainline : http://review.gluster.org/15195
Upstream 3.8 : http://review.gluster.org/15465
downstream patch : https://code.engineering.redhat.com/gerrit/84877

Comment 6 Susant Kumar Palai 2016-09-20 10:23:01 UTC
Moving back to post since one of the patch that is needed is not merged in 3.8.
link: http://review.gluster.org/#/c/15464/2

Comment 7 Susant Kumar Palai 2016-09-29 09:42:02 UTC
Both upstream patches are merged:
mainline : http://review.gluster.org/15195
3.8 : http://review.gluster.org/15465

Downstream: https://code.engineering.redhat.com/gerrit/#/c/85965/

Comment 10 Prasad Desala 2016-10-18 11:49:44 UTC
Verified this BZ against glusterfs version:3.8.4-2.el7rhgs.x86_64.

Here are the steps that were performed,
1) Created a distributed replica volume and started it.
2) FUSE mounted the volume on a client as a non root user.
3) Changed the permission on the mount point.
sudo chmod a+rwx,+t /mnt/bug/
4) Created a file on the mount point.
5) Added few bricks to the volume. The newly added bricks has got the same permissions as in step-3.
6) From client, created files and folders. No permission denied errors are seen and files & directories are created successfully without errors.

Hence, moving the BZ to Verified.

Comment 13 Susant Kumar Palai 2017-03-06 05:48:59 UTC
Doc looks fine.

Comment 15 errata-xmlrpc 2017-03-23 05:25:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.